using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Drawing;

/// <summary>
/// Summary description for SearchWebPart
/// </summary>
namespace WebParts.SampleControls
{
	public class SearchWebPart : WebPart, INamingContainer
	{
		TextBox _text;
		Label _label;

		public SearchWebPart ()
		{
			this.Title = "Search";
			this.Height = Unit.Pixel (64);
			this.BackColor = Color.LightYellow;
			this.ExportMode = WebPartExportMode.All;
		}

		protected override void CreateChildControls ()
		{
			HtmlTable table = new HtmlTable ();
			table.CellPadding = 4;
			HtmlTableRow row = new HtmlTableRow ();
			HtmlTableCell cell = new HtmlTableCell ();
			row.Cells.Add (cell);
			table.Rows.Add (row);
			Controls.Add (table);

			_text = new TextBox ();
			cell.Controls.Add (_text);

			cell.Controls.Add(new LiteralControl("&nbsp;&nbsp;"));

			Button button = new Button();
			button.Text = "Search";
			button.Click += new EventHandler (OnSearch);
			cell.Controls.Add (button);
			
			cell.Controls.Add (new LiteralControl ("<br><br>"));
			
			_label = new Label ();
			cell.Controls.Add (_label);
			
			ChildControlsCreated = true;
		}

		void OnSearch (Object sender, EventArgs e)
		{
			string text = _text.Text;		
			if (text.IndexOf (".NET") == -1)
				_label.Text = "0 results";
			else
				_label.Text = "2,458,375 results";
		}

		public override WebPartVerbCollection Verbs
		{
			get
			{
				EnsureChildControls ();
				WebPartVerb verb = new WebPartVerb (new WebPartEventHandler (OnClear));
				verb.Text = "Clear Results";
				WebPartVerb[] verbs = new WebPartVerb[] { verb };
				return new WebPartVerbCollection (base.Verbs, verbs);
			}
		}

		void OnClear (object sender, WebPartEventArgs args)
		{
			EnsureChildControls ();
			_label.Text = String.Empty;
		}
	}
}
